aboutsummaryrefslogtreecommitdiffstats
path: root/bin/hackvr
diff options
context:
space:
mode:
Diffstat (limited to 'bin/hackvr')
-rwxr-xr-xbin/hackvr11
1 files changed, 6 insertions, 5 deletions
diff --git a/bin/hackvr b/bin/hackvr
index 1c9d16c..bb0185e 100755
--- a/bin/hackvr
+++ b/bin/hackvr
@@ -1,9 +1,10 @@
-#!/bin/sh
+#!/usr/bin/env bash
+set -eo pipefail
if [ "_$HACKVR" != "_" -a "_$HACKVR" != "_$0" ];then
- exec $HACKVR $*
+ exec "$HACKVR" "$@"
fi
-if [ $DISPLAY ]; then
- exec hackvr_x11 $*
+if [ "$DISPLAY" ]; then
+ exec hackvr_x11 "$@"
else
- exec hackvr_fb $*
+ exec hackvr_fb "$@"
fi